Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 567686

Summary: backtracking aborted after 1 tries, but succeeds after package.masking: (sys-libs/ncurses-5.9-r5:0/5::gentoo, ebuild scheduled for merge) does not satify all version requirements. (sys-libs/ncurses-6.0-r1:0/6::gentoo, installed) has pending USE changes.
Product: Portage Development Reporter: Dennis Schridde <devurandom>
Component: Core - DependenciesAssignee: Portage team <dev-portage>
Status: RESOLVED FIXED    
Severity: normal CC: che, esigra
Priority: Normal Keywords: InVCS
Version: 2.2   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 300071, 549914    
Attachments: emerge --update --ask --deep --newuse --newrepo @world --backtrack=1000 --verbose-conflicts --debug (part 1/2)
emerge --update --ask --deep --newuse --newrepo @world --backtrack=1000 --verbose-conflicts --debug (part 2/2)
config.tar.xz (part 1/2)
config.tar.xz (part 2/2)

Description Dennis Schridde 2015-12-06 22:32:43 UTC
I don't understand the following slot conflict. It should be possible to install sys-libs/ncurses:0/6 and sys-libs/ncurses:5/5 at the same time. Both dev-util/android-ndk and dev-util/android-studio depend on either sys-libs/ncurses:0/5 or sys-libs/ncurses:5/5, so they should be happy with the current state of sys-libs/ncurses-5.9-r101:5/5 and sys-libs/ncurses-6.0-r1:0/6 being installed. But still Portage reports a slot conflict for sys-libs/ncurses:0...

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/ncurses:0

  (sys-libs/ncurses-6.0-r1:0/6::gentoo, installed) pulled in by
    >=sys-libs/ncurses-5.7-r7:0/6=[unicode] required by (sys-process/procps-3.3.11-r3:0/5::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6= required by (sys-process/nmon-15h:0/0::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.7-r7:0/6= required by (sys-apps/gptfdisk-1.0.1:0/0::gentoo, installed)
                             ^^^^^
    >=sys-libs/ncurses-5.2-r5:0/6=[unicode] required by (dev-util/dialog-1.2.20150920:0/0::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6= required by (net-misc/mosh-1.2.5-r1:0/0::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (x11-libs/vte-0.36.5:2.90/2.90::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (sys-devel/gettext-0.19.6-r1:0/0::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.2-r2:0/6= required by (sys-apps/texinfo-6.0:0/0::gentoo, installed)
                             ^^^^^
    >=sys-libs/ncurses-5.2:0/6=[abi_x86_32(-),abi_x86_64(-)] required by (app-emulation/wine-1.7.55:0/0::gentoo, installed)
                          ^^^^^
    sys-libs/ncurses:0/6= required by (dev-scheme/guile-1.8.8-r2:12/12::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (app-emulation/libvirt-1.2.21:0/1.2.21::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6=[unicode] required by (www-client/lynx-2.8.9_pre6:0/0::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (app-emulation/qemu-2.4.1:0/0::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.7-r7:0/6= required by (x11-terms/xterm-320:0/0::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6=[unicode] required by (net-im/profanity-0.4.7:0/0.4::local, installed)
                    ^^^^^
    sys-libs/ncurses:0/6=[unicode] required by (media-video/vlc-2.2.1-r1:0/5-8::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6=[unicode] required by (dev-lang/ghc-7.10.2-r1:0/7.10.2::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.2-r2:0/6= required by (sys-devel/gdb-7.10.1:0/0::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6=[unicode] required by (sys-process/htop-1.0.3-r1:0/0::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.7-r7:0/6= required by (sys-block/parted-3.2-r1:0/0::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6= required by (dev-util/cmake-3.4.1:0/0::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (net-wireless/wpa_supplicant-2.5-r1:0/0::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (app-editors/nano-2.4.3:0/0::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.9-r3:0/6=[abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/llvm-3.7.0-r3:0/3.7.0::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6= required by (dev-db/mariadb-10.1.9:0/18::gentoo, installed)
                    ^^^^^
    sys-libs/ncurses:0/6= required by (x11-libs/vte-0.42.1:2.91/2.91::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.2:0/6= required by (sys-devel/bc-1.06.95-r2:0/0::gentoo, installed)
                          ^^^^^
    >=sys-libs/ncurses-5.2-r2:0/6=[unicode] required by (sys-apps/util-linux-2.27.1:0/0::gentoo, installed)
                             ^^^^^
    sys-libs/ncurses:0/6= required by (app-crypt/pinentry-0.9.6-r6:0/0::gentoo, installed)
                    ^^^^^
    >=sys-libs/ncurses-5.9-r1:0/6=[unicode] required by (app-editors/nano-2.4.3:0/0::gentoo, installed)
                             ^^^^^

  (sys-libs/ncurses-5.9-r5:0/5::gentoo, ebuild scheduled for merge) pulled in by
    sys-libs/ncurses:0/5 required by (dev-util/android-ndk-10e:0/0::gentoo, installed)
                    ^^^^
    >=sys-libs/ncurses-5.9-r3:0/5[abi_x86_32(-)] required by (dev-util/android-studio-1.5.0.4.141.2422023:0/0::gentoo, installed)
                             ^^^^

Reproducible: Always




# emerge --info ncurses android-ndk android-studio
Portage 2.2.26 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-4.9.3, glibc-2.22-r1, 4.3.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.3.0-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.2
KiB Mem:    15381504 total,   3075124 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 06 Dec 2015 20:15:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25 p1.2) 2.25
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10-r10::sage-on-gentoo, 3.4.3-r2::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.4.1::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/sandbox:         2.9::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r1::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000

aegypius
    location: /var/lib/layman/aegypius
    sync-type: laymansync
    sync-uri: git://github.com/aegypius/overlay.git
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

rust
    location: /var/lib/layman/rust
    sync-type: laymansync
    sync-uri: git://github.com/gentoo/gentoo-rust.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi alsa amd64 appindicator audit avahi bash-completion bdplus berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdio cdr celt cjk cli colord conntrack cracklib crypt cups cxx dbus declarative dirac dri dts dvb dvd dvdr egl emboss encode exif fam fax ffmpeg firefox flac fontconfig fortran gdbm geoclue geolocation gif glamor gles gles2 gmp gpm gstreamer gtk ibus iconv ipv6 jpeg jpeg2k kde kipi ladspa latex lcms ldap libinput libnotify libproxy libsecret lua_target_lua5-2 lv2 lz4 lzma lzo mad mmx mmxext mng modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib multimedia multitarget mysql ncurses netlink networkmanager nls nptl ogg openal opencl openexr opengl openmax openmp opus pam pango pch pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session speex spell sse sse2 ssl startup-notification subversion svg systemd tcpd theora threads tiff truetype udev udisks unicode upnp upnp-av upower usb v4l vaapi vdpau vorbis vpx wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xml xrandr xscreensaver xv xvid xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="stage words flow sheets gemini" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3 ssse3 sse4 sse4a sse4_1 sse4_2" DRACUT_MODULES="btrfs caps systemd" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot efi-64 pc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-libs/ncurses-5.9-r101::gentoo was built with the following:
USE="gpm tinfo unicode" ABI_X86="32 64 -x32"


sys-libs/ncurses-6.0-r1::gentoo was built with the following:
USE="cxx gpm threads tinfo unicode -ada -debug -doc -minimal -profile -static-libs -test -trace" ABI_X86="32 64 -x32"


dev-util/android-ndk-10e::gentoo was built with the following:
USE="" ABI_X86="64"


dev-util/android-studio-1.5.0.4.141.2422023::gentoo was built with the following:
USE="(-selinux)" ABI_X86="64"
Comment 1 Dennis Schridde 2015-12-09 08:16:29 UTC
I rebuilt all packages depending on ncurses [emerge -1a $(for p in $(q depends -Q sys-libs/ncurses) ; do echo =$p ; done)], to exclude the possibility that this is an issue with the subslot= operator. But the issue persists afterwards.
Comment 2 Dennis Schridde 2015-12-09 12:32:38 UTC
Created attachment 418842 [details]
emerge --update --ask --deep --newuse --newrepo @world --backtrack=1000 --verbose-conflicts --debug (part 1/2)

--debug gives vital information about this:
Starting slot conflict handler

New configuration:
   (sys-libs/ncurses-5.9-r5:0/5::gentoo, ebuild scheduled for merge)

(sys-libs/ncurses-5.9-r5:0/5::gentoo, ebuild scheduled for merge) does not satify all version requirements. Rejecting configuration.

New configuration:
   (sys-libs/ncurses-6.0-r1:0/6::gentoo, installed)

(sys-libs/ncurses-6.0-r1:0/6::gentoo, installed) has pending USE changes. Rejecting configuration.

The attached file is part 1/2, created using `xz < portage.debug.log | split -b 1000k - portage.debug.log.xz.part`. You can stitch both parts together and get the uncompressed logfile, by executing `cat portage.debug.log.xz.part* | unxz > portage.debug.log`
Comment 3 Dennis Schridde 2015-12-09 12:34:40 UTC
Created attachment 418844 [details]
emerge --update --ask --deep --newuse --newrepo @world --backtrack=1000 --verbose-conflicts --debug (part 2/2)
Comment 4 Dennis Schridde 2015-12-09 21:44:01 UTC
Another riddle is why emerge wants to install chrome-binary-plugins:beta. :stable should be perfectly sufficient...
Comment 5 Dennis Schridde 2015-12-10 12:04:27 UTC
I was able to aid emerge in resolving this by masking the following packages in /etc/portage/package.mask:
```
# Creates slot conflicts?
www-plugins/chrome-binary-plugins:beta 
www-plugins/chrome-binary-plugins:unstable 

# Creates slot conflicts?
sys-libs/ncurses:0/5
sys-libs/ncurses:5/6
```

So something very fishy is going on here that causes emerge to abort backtracking after just one try, even though the solution is rather obvious.
Comment 6 Zac Medico gentoo-dev 2015-12-12 21:44:57 UTC
I wonder if bug 566024 plays a role here.

Please attach a tarball of your configuration, created as follows:

tar -cJf /tmp/config.tar.xz -C / ./etc/portage ./var/db/pkg $(cd / && echo ./var/lib/portage/world*) --exclude CONTENTS --exclude '*.ebuild' --exclude environment.bz2 --exclude 'NEEDED*'
Comment 7 Dennis Schridde 2015-12-12 23:11:30 UTC
Created attachment 419068 [details]
config.tar.xz (part 1/2)

In a Fish shell:
# tar -cJf /tmp/config.tar.xz -C / ./etc/portage ./var/db/pkg (cd / ; and ls ./var/lib/portage/world*) --exclude CONTENTS --exclude '*.ebuild' --exclude environment.bz2 --exclude 'NEEDED*'
Comment 8 Dennis Schridde 2015-12-12 23:11:48 UTC
Created attachment 419070 [details]
config.tar.xz (part 2/2)
Comment 9 Zac Medico gentoo-dev 2015-12-13 02:33:51 UTC
I can reproduce this problem with your attached configuration. The debug log shows the initial unexpected choice here:

Parent:    (dev-util/android-studio-1.5.1.0.141.2456560:0/0::gentoo, installed)
Depstring: || ( >=sys-libs/ncurses-5.9-r3:5/5[abi_x86_32(-)] >=sys-libs/ncurses-5.9-r3:0/5[abi_x86_32(-)] )
Priority:  runtime
   ebuild: sys-libs/ncurses-5.9-r101::gentoo
installed: sys-libs/ncurses-5.9-r101::gentoo
   ebuild: sys-libs/ncurses-6.0::gentoo
   ebuild: sys-libs/ncurses-5.9-r5::gentoo
   ebuild: sys-libs/ncurses-5.9-r5::gentoo
Candidates: ['>=sys-libs/ncurses-5.9-r3:0/5[abi_x86_32(-)]']
   ebuild: sys-libs/ncurses-5.9-r5::gentoo

I'll have to debug it with pdb.
Comment 10 Zac Medico gentoo-dev 2015-12-13 05:24:49 UTC
The problem occurs inside _dep_check_composite_db._visible where it returns False after the highest_visible comparison for the installed sys-libs/ncurses-5.9-r101:5/5 instance. In this case highest_visible is sys-libs/ncurses-6.0:5/6, which is the highest visible match for sys-libs/ncurses:5 (pkg.slot_atom). Returning False based on this comparison is flawed, since sys-libs/ncurses-6.0:5/6 doesn't match the subslot of the =sys-libs/ncurses-5.9-r3:5/5 atom which is being satisfied.
Comment 11 Zac Medico gentoo-dev 2015-12-13 07:00:05 UTC
There's a working patch in the following branch:

https://github.com/zmedico/portage/tree/bug_567686

You can test it like this:

echo '=sys-apps/portage-9999 **' >> /etc/portage/package.accept_keywords
portage_LIVE_BRANCH=bug_567686 \
portage_LIVE_REPO=https://github.com/zmedico/portage.git \
emerge -1 =sys-apps/portage-9999

I've posted it for review here:

https://archives.gentoo.org/gentoo-portage-dev/message/8c5dea68435f05887609521810accacb
Comment 12 Dennis Schridde 2015-12-13 11:47:50 UTC
(In reply to Zac Medico from comment #11)
> There's a working patch in the following branch:

Thanks Zac! I did as you said: I confirmed again that the update will still not work, then updated portage to the branch you pointed me to. Afterwards I did not see the ncurses slot issue anymore, but the chrome-binary-plugins blocker was still present:

[blocks B      ] www-plugins/chrome-binary-plugins:stable ("www-plugins/chrome-binary-plugins:stable" is blocking www-plugins/chrome-binary-plugins-48.0.2564.41_beta1)
[blocks B      ] www-plugins/chrome-binary-plugins:beta ("www-plugins/chrome-binary-plugins:beta" is blocking www-plugins/chrome-binary-plugins-47.0.2526.80_p1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (www-plugins/chrome-binary-plugins-48.0.2564.41_beta1:beta/beta::gentoo, ebuild scheduled for merge) pulled in by
    www-plugins/chrome-binary-plugins[widevine(-)] required by (www-client/chromium-47.0.2526.80:0/0::gentoo, installed)
    www-plugins/chrome-binary-plugins[flash] required by (www-plugins/freshplayerplugin-0.3.3-r1:0/0::gentoo, installed)

  (www-plugins/chrome-binary-plugins-47.0.2526.80_p1:stable/stable::gentoo, installed) pulled in by
    www-plugins/chrome-binary-plugins:stable required by @selected
Comment 13 Zac Medico gentoo-dev 2015-12-13 16:18:27 UTC
(In reply to Dennis Schridde from comment #12)
> Thanks Zac! I did as you said: I confirmed again that the update will still
> not work, then updated portage to the branch you pointed me to. Afterwards I
> did not see the ncurses slot issue anymore,

Great, thanks for testing.

> but the chrome-binary-plugins
> blocker was still present:
> 
> [blocks B      ] www-plugins/chrome-binary-plugins:stable
> ("www-plugins/chrome-binary-plugins:stable" is blocking
> www-plugins/chrome-binary-plugins-48.0.2564.41_beta1)
> [blocks B      ] www-plugins/chrome-binary-plugins:beta
> ("www-plugins/chrome-binary-plugins:beta" is blocking
> www-plugins/chrome-binary-plugins-47.0.2526.80_p1)
> 
>  * Error: The above package list contains packages which cannot be
>  * installed at the same time on the same system.
> 
>   (www-plugins/chrome-binary-plugins-48.0.2564.41_beta1:beta/beta::gentoo,
> ebuild scheduled for merge) pulled in by
>     www-plugins/chrome-binary-plugins[widevine(-)] required by
> (www-client/chromium-47.0.2526.80:0/0::gentoo, installed)
>     www-plugins/chrome-binary-plugins[flash] required by
> (www-plugins/freshplayerplugin-0.3.3-r1:0/0::gentoo, installed)
> 
>   (www-plugins/chrome-binary-plugins-47.0.2526.80_p1:stable/stable::gentoo,
> installed) pulled in by
>     www-plugins/chrome-binary-plugins:stable required by @selected

This should solve the blocker:

   emerge --deselect www-plugins/chrome-binary-plugins:stable

Apparently you need the beta slot to satisfy dependencies of www-client/chromium-47.0.2526.80 and www-plugins/freshplayerplugin-0.3.3-r1.
Comment 14 Dennis Schridde 2015-12-13 16:24:30 UTC
(In reply to Zac Medico from comment #13)
> Apparently you need the beta slot to satisfy dependencies of
> www-client/chromium-47.0.2526.80 and www-plugins/freshplayerplugin-0.3.3-r1.

I don't. If I mask :beta and :unstable as outlined above, portage reports no issue anymore.
Comment 15 Zac Medico gentoo-dev 2015-12-13 16:34:19 UTC
(In reply to Dennis Schridde from comment #14)
> (In reply to Zac Medico from comment #13)
> > Apparently you need the beta slot to satisfy dependencies of
> > www-client/chromium-47.0.2526.80 and www-plugins/freshplayerplugin-0.3.3-r1.
> 
> I don't. If I mask :beta and :unstable as outlined above, portage reports no
> issue anymore.

I see, then it's a case of bug 469648. It tries to pull in the highest visible version to satisify those dependencies, not accounting for blockers, and finally it realizes that there are unsatisfied blockers.
Comment 17 tman 2015-12-22 17:57:32 UTC
i got the same problem here:



 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

[nomerge      ] mail-client/claws-mail-3.13.1 
[nomerge      ]  dev-libs/libgdata-0.17.4 
[ebuild     U ]   net-libs/gnome-online-accounts-3.18.3 [3.18.2.1]
[nomerge      ] games-strategy/openra-20150919 
[ebuild     U ]  dev-lang/mono-4.2.2.10 [4.2.1.124]
[ebuild  rR   ] net-wireless/spectools-2011.08.1_p20140618-r1 
[ebuild  rR   ] x11-libs/vte-0.28.2-r207 
[ebuild  rR   ] media-sound/alsa-utils-1.1.0 
[ebuild  rR   ] sys-process/htop-1.0.3-r1 
[ebuild  rR   ] app-editors/nano-2.5.0 
[ebuild  rR   ] sys-boot/grub-2.02_beta2-r8 
[ebuild  rR   ] net-analyzer/iptraf-ng-1.1.4-r2 
[ebuild  rR   ] sys-devel/gdb-7.10.1 
[ebuild  rR   ] dev-lang/ghc-7.10.2-r1 
[ebuild  rR   ] x11-terms/xterm-320 
[ebuild  rR   ] sys-process/procps-3.3.11-r3 
[ebuild  rR   ] sys-apps/openrc-0.19.1 
[nomerge      ] net-print/hplip-3.15.11 
[ebuild     U ]  net-print/cups-filters-1.5.0 [1.4.0]
[ebuild  r  U ] sys-libs/ncurses-6.0-r1 [5.9-r5]
[ebuild  rR   ] app-text/aspell-0.60.6.1-r2 
[ebuild  rR   ] dev-lang/ruby-2.1.8 
[ebuild  rR   ] media-video/vlc-2.2.1-r1 
[ebuild  rR   ] dev-lang/ruby-2.0.0_p648 
[ebuild  rR   ] dev-lang/ruby-2.2.4 
[ebuild  rR   ] net-wireless/wpa_supplicant-2.5-r1 
[ebuild  rR   ] media-sound/lame-3.99.5-r1 
[ebuild  rR   ] sys-apps/less-481 
[ebuild  rR   ] sys-apps/util-linux-2.27.1 
[ebuild  rR   ]  sys-libs/ncurses-5.9-r5 
[nomerge      ] dev-libs/weston-1.9.0 
[ebuild     U ]  dev-libs/libinput-1.1.3 [1.1.2]
[nomerge      ] app-office/libreoffice-5.0.4.2 
[nomerge      ]  dev-libs/liborcus-0.7.1 
[nomerge      ]   dev-libs/libixion-0.9.1 
[ebuild   R   ]    dev-libs/boost-1.57.0 
[nomerge      ] media-sound/clementine-1.2.3 
[nomerge      ]  dev-cpp/gmock-1.7.0-r1 
[ebuild     U ]   dev-cpp/gtest-1.7.0-r1 [1.7.0]
[nomerge      ] app-text/texlive-2015 
[nomerge      ]  app-text/xindy-2.4 
[nomerge      ]   dev-lisp/clisp-2.49-r8 
[nomerge      ]    x11-misc/imake-1.0.7 
[ebuild     U ]     x11-misc/xorg-cf-files-1.0.6 [1.0.5]
[nomerge      ] dev-libs/weston-1.9.0 
[nomerge      ]  x11-base/xorg-server-1.17.4 
[ebuild     U ]   x11-libs/pixman-0.33.6 [0.33.4]
[nomerge      ] xfce-base/xfce4-meta-4.12 
[nomerge      ]  xfce-base/xfce4-session-4.12.1 
[nomerge      ]   x11-misc/xscreensaver-5.34 
[ebuild     U ]    x11-libs/libXi-1.7.6 [1.7.5]
[ebuild     U ] dev-util/strace-4.11 [4.10]
[ebuild     U ] net-misc/rsync-3.1.2 [3.1.1]
[nomerge      ] www-client/midori-0.5.11 
[nomerge      ]  dev-libs/libzeitgeist-0.3.18 
[nomerge      ]   gnome-extra/zeitgeist-0.9.16 
[ebuild     U ]    dev-libs/xapian-1.3.3-r2 [1.3.3-r1]

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/ncurses:0

  (sys-libs/ncurses-6.0-r1:0/6::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-libs/ncurses-5.9-r5:0/5::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/ncurses-5.2-r2:0/5= required by (sys-apps/texinfo-6.0:0/0::gentoo, installed)
                             ^^^^^                                                                                              
    >=sys-libs/ncurses-5.2:0/5= required by (sys-devel/bc-1.06.95-r2:0/0::gentoo, installed)
                          ^^^^^                                                                                                 
    >=sys-libs/ncurses-5.7-r7:0/5= required by (dev-libs/libcdio-0.93:0/15::gentoo, installed)
                             ^^^^^                                                                                                
    >=sys-libs/ncurses-5.9-r3:0/5=[abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/llvm-3.7.0-r4:0/3.7.0::gentoo, installed)
                             ^^^^^                                                                                                                                  
    >=sys-libs/ncurses-5.9-r3:0/5=[abi_x86_32(-),abi_x86_64(-)] required by (media-libs/aalib-1.4_rc5-r6:0/0::gentoo, installed)
                             ^^^^^                                                                                                                                  
    sys-libs/ncurses:0/5= required by (app-crypt/pinentry-0.9.7:0/0::gentoo, installed)
                    ^^^^^                                                                                                  
    sys-libs/ncurses:0/5= required by (dev-util/cmake-3.4.1:0/0::gentoo, installed)
                    ^^^^^                                                                                              
    >=sys-libs/ncurses-5.2:0/5= required by (dev-lang/python-3.5.1-r1:3.5/3.5m::gentoo, installed)
                          ^^^^^                                                                                                       
    >=sys-libs/ncurses-5.2:0/5= required by (dev-lang/python-3.4.3-r6:3.4/3.4m::gentoo, installed)
                          ^^^^^                                                                                                       
    sys-libs/ncurses:0/5= required by (dev-scheme/guile-1.8.8-r2:12/12::gentoo, installed)
                    ^^^^^                                                                                                     
    >=sys-libs/ncurses-5.7-r7:0/5= required by (sys-apps/gptfdisk-1.0.1:0/0::gentoo, installed)
                             ^^^^^                                                                                                 
    sys-libs/ncurses:0/5= required by (sys-devel/gettext-0.19.6-r1:0/0::gentoo, installed)
                    ^^^^^                                                                                                     
    >=sys-libs/ncurses-5.7-r7:0/5= required by (sys-block/parted-3.2-r1:0/0::gentoo, installed)
                             ^^^^^                                                                                                 
    >=sys-libs/ncurses-5.2:0/5= required by (dev-lang/python-2.7.11-r1:2.7/2.7::gentoo, installed)
                          ^^^^^                                                                                                       
    >=sys-libs/ncurses-5.2:0/5=[abi_x86_32(-),abi_x86_64(-)] required by (app-emulation/wine-1.7.55:0/0::gentoo, installed)
                          ^^^^^
Comment 18 Dennis Schridde 2016-03-06 13:30:12 UTC
(In reply to Zac Medico from comment #16)
> This is in the master branch:
> 
> https://gitweb.gentoo.org/proj/portage.git/commit/
> ?id=7cbd04cd62c8f13ed41e07ff8bc9b7e5d5ac700b

This was released in v2.2.27:

# git tag --contains 7cbd04cd62c8f13ed41e07ff8bc9b7e5d5ac700b
v2.2.27